AntiFeatures:
  - NonFreeNet
Categories:
  - Internet
License: GPL-3.0-or-later
AuthorName: Tutao GmbH
AuthorEmail: hello@tutao.de
WebSite: https://tutanota.com
SourceCode: https://github.com/tutao/tutanota
IssueTracker: https://github.com/tutao/tutanota/issues
Translation: https://tutanota.com/blog/posts/tutanota-translation-project
Changelog: https://github.com/tutao/tutanota/releases
Donate: https://tutanota.com/community#donate
Bitcoin: 3MDrR5gaMvL8sphuQLX6BvPPKYNArdXsv6

AutoName: Tutanota

RepoType: git
Repo: https://github.com/tutao/tutanota.git

Builds:
  - versionName: 3.35.13
    versionCode: 335130
    commit: tutanota-android-release-3.35.13
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v8.11.3/node-v8.11.3-linux-x64.tar.xz
      - echo "08e2fcfea66746bd966ea3a89f26851f1238d96f86c33eaf6274f67fce58421a node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v8.11.3-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - sed -i '/flow-bin/d' package.json
      - npm install
      - node dist prod

  - versionName: 3.36.1
    versionCode: 336010
    commit: tutanota-android-release-3.36.1
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v8.11.3/node-v8.11.3-linux-x64.tar.xz
      - echo "08e2fcfea66746bd966ea3a89f26851f1238d96f86c33eaf6274f67fce58421a node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v8.11.3-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - sed -i '/flow-bin/d' package.json
      - npm install
      - node dist prod

  - versionName: 3.36.4
    versionCode: 336040
    commit: tutanota-android-release-3.36.4
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v8.11.3/node-v8.11.3-linux-x64.tar.xz
      - echo "08e2fcfea66746bd966ea3a89f26851f1238d96f86c33eaf6274f67fce58421a node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v8.11.3-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - sed -i '/flow-bin/d' package.json
      - npm install
      - node dist prod

  - versionName: 3.36.9
    versionCode: 336090
    commit: tutanota-android-release-3.36.9
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v8.11.3/node-v8.11.3-linux-x64.tar.xz
      - echo "08e2fcfea66746bd966ea3a89f26851f1238d96f86c33eaf6274f67fce58421a node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v8.11.3-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - sed -i '/flow-bin/d' package.json
      - npm install
      - node dist prod

  - versionName: 3.37.1
    versionCode: 337010
    commit: tutanota-android-release-3.37.1
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v8.11.3/node-v8.11.3-linux-x64.tar.xz
      - echo "08e2fcfea66746bd966ea3a89f26851f1238d96f86c33eaf6274f67fce58421a node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v8.11.3-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - sed -i '/flow-bin/d' package.json
      - npm install
      - node dist prod

  - versionName: 3.37.2
    versionCode: 337020
    commit: tutanota-android-release-3.37.2
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v8.12.0/node-v8.12.0-linux-x64.tar.xz
      - echo "29a20479cd1e3a03396a4e74a1784ccdd1cf2f96928b56f6ffa4c8dae40c88f2 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v8.12.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - sed -i '/flow-bin/d' package.json
      - npm install
      - node dist prod

  - versionName: 3.40.3
    versionCode: 340030
    commit: tutanota-android-release-3.40.3
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v8.12.0/node-v8.12.0-linux-x64.tar.xz
      - echo "29a20479cd1e3a03396a4e74a1784ccdd1cf2f96928b56f6ffa4c8dae40c88f2 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v8.12.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - sed -i '/flow-bin/d' package.json
      - npm install
      - node dist prod

  - versionName: 3.41.1
    versionCode: 341010
    commit: tutanota-android-release-3.41.1
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v8.12.0/node-v8.12.0-linux-x64.tar.xz
      - echo "29a20479cd1e3a03396a4e74a1784ccdd1cf2f96928b56f6ffa4c8dae40c88f2 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v8.12.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - sed -i '/flow-bin/d' package.json
      - npm install
      - node dist prod

  - versionName: 3.41.6
    versionCode: 341060
    commit: tutanota-android-release-3.41.6
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v8.12.0/node-v8.12.0-linux-x64.tar.xz
      - echo "29a20479cd1e3a03396a4e74a1784ccdd1cf2f96928b56f6ffa4c8dae40c88f2 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v8.12.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - sed -i '/flow-bin/d' package.json
      - npm install
      - node dist prod

  - versionName: 3.42.2
    versionCode: 342020
    commit: tutanota-android-release-3.42.2
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v8.12.0/node-v8.12.0-linux-x64.tar.xz
      - echo "29a20479cd1e3a03396a4e74a1784ccdd1cf2f96928b56f6ffa4c8dae40c88f2 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v8.12.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - sed -i '/flow-bin/d' package.json
      - npm install
      - node dist prod

  - versionName: 3.43.1
    versionCode: 343010
    commit: tutanota-android-release-3.43.1
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v8.12.0/node-v8.12.0-linux-x64.tar.xz
      - echo "29a20479cd1e3a03396a4e74a1784ccdd1cf2f96928b56f6ffa4c8dae40c88f2 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v8.12.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - sed -i '/flow-bin/d' package.json
      - npm install
      - node dist prod

  - versionName: 3.44.2
    versionCode: 344020
    commit: tutanota-android-release-3.44.2
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v8.12.0/node-v8.12.0-linux-x64.tar.xz
      - echo "29a20479cd1e3a03396a4e74a1784ccdd1cf2f96928b56f6ffa4c8dae40c88f2 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v8.12.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - sed -i '/flow-bin/d' package.json
      - npm install
      - node dist prod

  - versionName: 3.46.3
    versionCode: 346030
    commit: tutanota-android-release-3.46.3
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v8.12.0/node-v8.12.0-linux-x64.tar.xz
      - echo "29a20479cd1e3a03396a4e74a1784ccdd1cf2f96928b56f6ffa4c8dae40c88f2 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v8.12.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - sed -i '/flow-bin/d' package.json
      - sed -i '/\"electron/d' package.json
      - sed -i '/rcedit/d' package.json
      - sed -i '/winreg/d' package.json
      - sed -i '/node-forge/d' package.json
      - sed -i '/js-yaml/d' package.json
      - sed -i '/DesktopBuilder\.js/d' dist.js
      - npm install
      - node dist prod

  - versionName: 3.47.2
    versionCode: 347020
    commit: tutanota-android-release-3.47.2
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - node fdroid-fix-deps
      - npm install
      - node dist prod

  - versionName: 3.48.5
    versionCode: 348050
    commit: tutanota-android-release-3.48.5
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - node fdroid-fix-deps
      - npm install
      - node dist prod

  - versionName: 3.50.11
    versionCode: 350110
    commit: tutanota-android-release-3.50.11
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - node fdroid-fix-deps
      - npm install
      - node dist prod

  - versionName: 3.52.1
    versionCode: 352010
    commit: tutanota-android-release-3.52.1
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - node fdroid-fix-deps
      - npm install
      - node dist prod

  - versionName: 3.55.2
    versionCode: 355020
    commit: tutanota-android-release-3.55.2
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - node fdroid-fix-deps
      - npm install
      - node dist prod

  - versionName: 3.55.5
    versionCode: 355050
    commit: tutanota-android-release-3.55.5
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - node fdroid-fix-deps
      - npm install
      - node dist prod

  - versionName: 3.56.0
    versionCode: 356000
    commit: tutanota-android-release-3.56.0
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - node fdroid-fix-deps
      - npm install
      - node dist prod

  - versionName: 3.57.5
    versionCode: 357050
    commit: tutanota-android-release-3.57.5
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - node fdroid-fix-deps
      - npm install
      - node dist prod

  - versionName: 3.57.6
    versionCode: 357060
    commit: tutanota-android-release-3.57.6
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - node fdroid-fix-deps
      - npm install
      - node dist prod

  - versionName: 3.59.5
    versionCode: 359050
    commit: tutanota-android-release-3.59.5
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - node fdroid-fix-deps
      - npm install
      - node dist prod

  - versionName: 3.59.10
    versionCode: 359100
    commit: tutanota-android-release-3.59.10
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - node fdroid-fix-deps
      - npm install
      - node dist prod

  - versionName: 3.59.13
    versionCode: 359130
    commit: tutanota-android-release-3.59.13
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - node fdroid-fix-deps
      - npm install
      - node dist prod

  - versionName: 3.59.14
    versionCode: 359140
    commit: tutanota-android-release-3.59.14
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - node fdroid-fix-deps
      - npm install
      - node dist prod

  - versionName: 3.59.16
    versionCode: 359160
    commit: tutanota-android-release-3.59.16
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - node fdroid-fix-deps
      - npm install
      - node dist prod

  - versionName: 3.59.17
    versionCode: 359170
    commit: tutanota-android-release-3.59.17
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - node fdroid-fix-deps
      - npm install
      - node dist prod

  - versionName: 3.60.6
    versionCode: 360060
    commit: tutanota-android-release-3.60.6
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - node fdroid-fix-deps
      - npm install
      - node dist prod

  - versionName: 3.60.7
    versionCode: 360070
    commit: tutanota-android-release-3.60.7
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - node fdroid-fix-deps
      - npm install
      - node dist prod

  - versionName: 3.60.9
    versionCode: 360090
    commit: tutanota-android-release-3.60.9
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - node fdroid-fix-deps
      - npm install
      - node dist prod

  - versionName: 3.60.12
    versionCode: 360120
    commit: tutanota-android-release-3.60.12
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - node fdroid-fix-deps
      - npm install
      - node dist prod

  - versionName: 3.64.3
    versionCode: 364030
    commit: tutanota-android-release-3.64.3
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - node fdroid-fix-deps
      - npm install
      - node dist prod

  - versionName: 3.66.2
    versionCode: 366020
    commit: tutanota-android-release-3.66.2
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - node fdroid-fix-deps
      - npm install
      - node dist prod

  - versionName: 3.66.5
    versionCode: 366050
    commit: tutanota-android-release-3.66.5
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - node fdroid-fix-deps
      - npm install
      - node dist prod

  - versionName: 3.67.3
    versionCode: 367030
    commit: tutanota-android-release-3.67.3
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - node fdroid-fix-deps
      - npm install
      - node dist prod

  - versionName: 3.67.6
    versionCode: 367060
    commit: tutanota-android-release-3.67.6
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - node fdroid-fix-deps
      - npm install
      - node dist prod

  - versionName: 3.68.1
    versionCode: 368010
    commit: tutanota-android-release-3.68.1
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - node fdroid-fix-deps
      - npm install
      - node dist prod

  - versionName: 3.69.2
    versionCode: 369020
    commit: tutanota-android-release-3.69.2
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - node fdroid-fix-deps
      - npm install
      - node dist prod

  - versionName: 3.69.5
    versionCode: 369050
    commit: tutanota-android-release-3.69.5
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - node fdroid-fix-deps
      - npm install
      - node dist prod

  - versionName: 3.72.0
    versionCode: 372000
    commit: tutanota-android-release-3.72.0
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - node fdroid-fix-deps
      - npm install
      - node dist prod

  - versionName: 3.73.1
    versionCode: 373010
    commit: tutanota-android-release-3.73.1
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - node fdroid-fix-deps
      - npm install
      - node dist prod

  - versionName: 3.75.3
    versionCode: 375030
    commit: tutanota-android-release-3.75.3
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node fdroid-fix-deps
      - npm install
      - node dist prod
    scandelete:
      - node_modules/mithril/dist/archive/*/mithril.min.zip
      - node_modules/semver/*.gz

  - versionName: 3.76.7
    versionCode: 376070
    commit: tutanota-android-release-3.76.7
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node fdroid-fix-deps
      - npm install
      - node dist prod
    scandelete:
      - node_modules/mithril/dist/archive/*/mithril.min.zip
      - node_modules/semver/*.gz

  - versionName: 3.76.9
    versionCode: 376090
    commit: tutanota-android-release-3.76.9
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node fdroid-fix-deps
      - npm install
      - node dist prod
    scandelete:
      - node_modules/mithril/dist/archive/*/mithril.min.zip
      - node_modules/semver/*.gz

  - versionName: 3.76.10
    versionCode: 376100
    commit: tutanota-android-release-3.76.10
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node fdroid-fix-deps
      - npm install
      - node dist prod
    scandelete:
      - node_modules/mithril/dist/archive/*/mithril.min.zip
      - node_modules/semver/*.gz

  - versionName: 3.77.3
    versionCode: 377030
    commit: tutanota-android-release-3.77.3
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node fdroid-fix-deps
      - npm install
      - node dist prod
    scandelete:
      - node_modules/mithril/dist/archive/*/mithril.min.zip
      - node_modules/traceur/node_modules/semver/*.gz

  - versionName: 3.77.4
    versionCode: 377040
    commit: tutanota-android-release-3.77.4
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node fdroid-fix-deps
      - npm install
      - node dist prod
    scandelete:
      - node_modules/mithril/dist/archive/*/mithril.min.zip
      - node_modules/traceur/node_modules/semver/*.gz

  - versionName: 3.78.2
    versionCode: 378020
    commit: tutanota-android-release-3.78.2
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node fdroid-fix-deps
      - npm install
      - node dist prod
    scandelete:
      - node_modules/mithril/dist/archive/*/mithril.min.zip
      - node_modules/traceur/node_modules/semver/*.gz

  - versionName: 3.80.2
    versionCode: 380020
    commit: tutanota-android-release-3.80.2
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node fdroid-fix-deps
      - npm install
      - node dist prod
    scandelete:
      - node_modules/mithril/dist/archive/*/mithril.min.zip
      - node_modules/traceur/node_modules/semver/*.gz

  - versionName: 3.80.4
    versionCode: 380040
    commit: tutanota-android-release-3.80.4
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node fdroid-fix-deps
      - npm install
      - node dist prod
    scandelete:
      - node_modules/mithril/dist/archive/*/mithril.min.zip
      - node_modules/traceur/node_modules/semver/*.gz

  - versionName: 3.80.5
    versionCode: 380050
    commit: tutanota-android-release-3.80.5
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node fdroid-fix-deps
      - npm install
      - node dist prod
    scandelete:
      - node_modules/mithril/dist/archive/*/mithril.min.zip
      - node_modules/traceur/node_modules/semver/*.gz

  - versionName: 3.81.8
    versionCode: 381080
    commit: tutanota-android-release-3.81.8
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node fdroid-fix-deps
      - npm install
      - node dist prod
    scandelete:
      - node_modules/mithril/dist/archive/*/mithril.min.zip
      - node_modules/traceur/node_modules/semver/*.gz

AutoUpdateMode: Version tutanota-android-release-%v
UpdateCheckMode: Tags tutanota-android-release-*
CurrentVersion: 3.81.8
CurrentVersionCode: 381080
